Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
Class Jdt

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
          org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
              org.gradle.plugins.ide.eclipse.model.Jdt

All Implemented Interfaces:
  GroovyObject, org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject

    public class Jdt

extends org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject

Represents the Eclipse JDT settings.

Constructor Summary
`Jdt()`

Method Summary
`protected String` | `getDefaultResourceName()`
`protected void` | `load(Properties properties)`
`void` | `setSourceCompatibility(JavaVersion sourceCompatibility)` Sets the source compatibility for the compiler.
`void` | `setTargetCompatibility(JavaVersion targetCompatibility)` Sets the target compatibility for the compiler.
`protected void` | `store(Properties properties)`

Methods inherited from class org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
`load, store`

Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
`getMetaClass, getProperty, invokeMethod, load, loadDefaults, setMetaClass, setProperty, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jdt

    public Jdt()

Method Detail

### setSourceCompatibility

    public void setSourceCompatibility(JavaVersion sourceCompatibility)

  Sets the source compatibility for the compiler.

### setTargetCompatibility

    public void setTargetCompatibility(JavaVersion targetCompatibility)

  Sets the target compatibility for the compiler.

### getDefaultResourceName

    protected String getDefaultResourceName()

  Specified by:
    `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

### load

    protected void load(Properties properties)

  Specified by:
    `load` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`

### store

    protected void store(Properties properties)

  Specified by:
    `store` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD